package net.wanji.opt.dao.mapper;

import net.wanji.opt.po.base.CrossSchedulesPO;
import net.wanji.opt.po.base.CrossSchedulesPlanPO;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author hfx
 * @date 2023/1/17 16:06
 * @desc CrossSchedulesMapper
 */
@Repository
public interface CrossSchedulesMapper {

    /**
     * 查询调度基础信息列表
     * @param crossId
     * @return
     */
    List<CrossSchedulesPO> listCrossSchedulesInfo(String crossId);

    /**
     * 查询调度计划信息列表
     * @param crossId
     * @return
     */
    List<CrossSchedulesPlanPO> listSchedulesPlan(String crossId, String schedulesId);


}
